#include<IOStream.h>
#include<ConIO.h>
#include<DOS.h>

void main(){
	int Puerto, DatoLeido;

	clrscr();
	Puerto = peek(0x40, 0x8); //00400008

	do{
		DatoLeido = inportb(Puerto+1);

		if(DatoLeido & 0x8) //00001000  En DB-25 pin 15: Error
			cout << "Interruptor Cerrado. Puerto de estado bit 3\n";
		else
			cout << "Interruptor Cerrado. Puerto de estado bit 3\n";

		if(DatoLeido & 0x10) //00010000  En DB-25 pin 13:Select
			cout << "Interruptor Cerrado. Puerto de estado bit 4\n";
		else
			cout << "Interruptor Cerrado. Puerto de estado bit 4\n";

		if(DatoLeido & 0x20) //00100000  En DB-25 pin 12:Paper Empty
			cout << "Interruptor Cerrado. Puerto de estado bit 5\n";
		else
			cout << "Interruptor Cerrado. Puerto de estado bit 5\n";
	} while ( kbhit() == 0);
}
